# Infrastructure as Code (IaC) Repository (Ansible & Terraform). 

This repository contains code and configuration files to automate the deployment and management of infrastructure using Infrastructure as Code (IaC) principles.
#

## Prerequisites.
-   Ansible
-   Terraform
-   Azure Account
-   AWS Account
#

## Ansible 
The Ansible folder contains scripts to automate the configuration of Ubuntu machines. Ansible is a powerful automation tool that allows us to automate the provisioning, configuration, and deployment of software to target machines. Ansible is agentless and operates over SSH, which makes it easy to use and deploy in many environments. The scripts in this folder can be used to configure Ubuntu machines with the necessary software, packages, and configurations to run applications.
#

## Terraform 
The Terraform folder contains scripts to automate the deployment and management of infrastructure on Azure and Kubernetes (K8s). Terraform is a popular Infrastructure as Code tool that allows us to provision and manage infrastructure resources such as virtual machines, containers, and databases using a simple declarative language. The scripts in this folder can be used to create and manage resources on Azure and Kubernetes, making it easy to deploy and manage applications and services in the cloud.
#

## Usage
To use this repository, clone it to your local machine and navigate to the appropriate folder for the tool you want to use. Follow the instructions in the README file in each folder to deploy and manage infrastructure using IaC principles.
#

## Contribution
This repository is open to contributions from the community. If you have any ideas, bug reports, or improvements, feel free to open an issue or submit a pull request.
#

## License
This repository is licensed under the MIT License. See the [LICENSE](https://github.com/KANOMNUT/IaC/blob/main/LICENSE) file for details.
